---
page_title: Check Eligibility
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/direct-otp/check-eligibility
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fdirect-otp%2Fcheck-eligibility
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Check Native OTP Eligibility



This is a single Juspay API that gives complete details of a card like bank name, network name, issuing country, card type etc. This is an S2S API that requires authentication and accepts Card BIN as input i.e. first 6-9 digits of the card.

You can also use this API to check if a card is eligible for Native OTP (direct OTP) payments.

> **Warning**
> Networks have shifted to using 9-digit BINs for more accurate information. We are still maintaining the existing support for 6-digit BINs for compatibility. 
> 
> Merchants are however requested to move to the 9 digits bin based logic for fetching card information by December 31st, 2023.

## Endpoints:
- Sandbox: https://sandbox.juspay.in/cardbins/{card_bin}

- Production: https://api.juspay.in/cardbins/{card_bin}

## Request Type: 
GET

## Content-Type: 
application/json

## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X GET https://api.juspay.in/cardbins/524368?merchant_id=:merchant_id&options.check_direct_otp_support=true
```

### Sample Response:

#### Response:
```json
{
  "id": "524368",
  "object": "cardbin",
  "brand": "Master Card",
  "bank": "HDFC Bank",
  "country":"India",
  "type": "CREDIT",
  "direct_otp_support": true
}
```

## Path Parameters:

#### card_bin:
Card Bin for which you want to check the eligibility
- Value: Example:- 524368
- Tags: String, Mandatory
## Query Parameters:

#### merchant_id:
Merchant ID which represents the merchant storing the card
- Tags: String, Required

#### options.check_direct_otp_support:
This is a boolean variable and accepts true/false. If set to true, then the card eligibility check for OTP payments will be done.
- Tags: Boolean, Required
## API Responses:
### 200:

#### id:
- Description: The card bin/ isin passed in the request
- Tags: String

#### object:
- Description: It would be “cardbin”
- Tags: String

#### brand:
- Description: The brand of the card bin used 
- Tags: String

#### bank:
- Description: The name of the card issuing bank
- Tags: String

#### country:
- Description: The card issuer country name 
- Tags: String

#### type:
- Description: The card type ie CREDIT or DEBIT
- Tags: String

#### direct_otp_support:
- Description: Values are true or false. True means bin is supported for DOTP and false means its not supported. 
- Tags: Boolean


---

## See Also

- [Get Order Status](https://juspay.io/in/docs/api-reference/docs/cred-pay/get-order-status)
- [Start Authentication](https://juspay.io/in/docs/api-reference/docs/direct-otp/start-authentication)
